## org.eclipse.papyrus.emf.facet.efacet.sdk.ui.internal.query
Class GetQueryDialog

    java.lang.Object
      <any>
          org.eclipse.papyrus.emf.facet.efacet.sdk.ui.internal.query.GetQueryDialog

    public class GetQueryDialog

extends <any>

This class provide the dialog for the creation of the specific dialog according of the type of the query selected. To run, this class needs to have into the properties pass in the constructor:

- The `PropertyElement` `name` with the key `EcorePackage.eINSTANCE.getENamedElement_Name()`
- The `PropertyElement` `type` with the key `EcorePackage.eINSTANCE.getETypedElement_EType()`
- The `PropertyElement` `parent` (a `Facet`) with the key `EcorePackage.eINSTANCE.getEObject__EContainer()`

Constructor Summary
`GetQueryDialog(<any> callback, IQueryDialogFactoryStrategy strategy, IQueryContext queryContext)`

Method Summary
`IAbstractWidget` `createSubWidget()`
`ICreateQueryWidget` `createWidget()`
`java.lang.String` `getConclusionText()`
`IAbstractWidget` `getCreateQueryWidget()`
`boolean` `isCanBeCached()`
`boolean` `isDialogValid()`
`boolean` `isHasSideEffect()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetQueryDialog

    public GetQueryDialog(<any> callback,
                          IQueryDialogFactoryStrategy strategy,
                          IQueryContext queryContext)

Parameters:
  `callback` - the callback.
  `properties` - properties that parent widget had.
  `propertyElement` - the `PropertyElement` containing the query
  `qDialogFactoryStrategiy` - an instance of `AbstractQueryDialogFactory` needed to create the dialog
  `query` -

Method Detail

### createWidget

    public ICreateQueryWidget createWidget()

### isDialogValid

    public boolean isDialogValid()

### getConclusionText

    public java.lang.String getConclusionText()

### isCanBeCached

    public boolean isCanBeCached()

### isHasSideEffect

    public boolean isHasSideEffect()

### getCreateQueryWidget

    public IAbstractWidget getCreateQueryWidget()

### createSubWidget

    public IAbstractWidget createSubWidget()